<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ArtifactsWorkspaceSettings">
    <artifacts-to-build>
      <artifact name="demo_k:jar" />
    </artifacts-to-build>
  </component>
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="abf231c1-c91a-4173-8867-937a0f9fcd32" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand />
    <select />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="FavoritesManager">
    <favorites_list name="demo_k" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>throws</find>
      <find>getPa</find>
      <find>queryItemByID</find>
      <find>getMaterial_Part</find>
      <find>throwServiceDataError</find>
      <find>getsch</find>
      <find>createRelation2</find>
      <find>chan</find>
      <find>getpart</find>
      <find>getProject</find>
      <find>bypa</find>
      <find>queryMaterial</find>
      <find>getRevUidByItemUid</find>
      <find>byPass</find>
      <find>product</find>
      <find>relea</find>
      <find>getdesign</find>
      <find>iTEMID</find>
      <find>零组件</find>
      <find>copy</find>
      <find>co</find>
      <find>/getPart</find>
      <find>getSchedule</find>
      <find>bypass</find>
      <find>getsc</find>
      <find>queryProjectByPart</find>
      <find>getDatasetName</find>
      <find>project</find>
      <find>getPart</find>
      <find>M008</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="GitSEFilterConfiguration">
    <file-type-list>
      <filtered-out-file-type name="LOCAL_BRANCH" />
      <filtered-out-file-type name="REMOTE_BRANCH" />
      <filtered-out-file-type name="TAG" />
      <filtered-out-file-type name="COMMIT_BY_MESSAGE" />
    </file-type-list>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/com/connor/web/bean/getproject/Project.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/connor/web/bean/getproject/DB_PROJECT.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/connor/web/bean/getproject/Network.java" />
        <option value="$PROJECT_DIR$/src/main/resources/META-INF/MANIFEST.MF" />
        <option value="$PROJECT_DIR$/src/main/java/com/connor/web/KPostProcessor.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/connor/web/bean/DesignInfoBean.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/connor/web/config/QueryConfig.java" />
        <option value="$PROJECT_DIR$/src/main/resources/application.yml" />
        <option value="$PROJECT_DIR$/src/main/java/com/connor/web/bean/MaterialBean.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/connor/web/bean/getproject/DB_PRODUCT.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/connor/web/bean/getproject/Product.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/connor/web/mapper/IDataMapper.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/connor/web/bean/ScheduleInfoBean.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/connor/web/util/RequestWrapperFilter.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/connor/web/util/TCUtil.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/connor/web/util/MyRequestWrapper.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/connor/web/KExceptionHandler.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/connor/web/controller/MyRestController.java" />
      </list>
    </option>
  </component>
  <component name="JavaeeView">
    <option name="showModules" value="false" />
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="demo_k" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds" extendedState="7">
    <option name="width" value="683" />
    <option name="height" value="367" />
  </component>
  <component name="ProjectId" id="2800RLgx58zmrGP03UZrYNlmGDD" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="demo_k" type="b2602c69:ProjectViewProjectNode" />
              <item name="demo_k_chint" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="demo_k" type="b2602c69:ProjectViewProjectNode" />
              <item name="demo_k_chint" type="462c0819:PsiDirectoryNode" />
              <item name=".idea" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="demo_k" type="b2602c69:ProjectViewProjectNode" />
              <item name="demo_k_chint" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="demo_k" type="b2602c69:ProjectViewProjectNode" />
              <item name="demo_k_chint" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="demo_k" type="b2602c69:ProjectViewProjectNode" />
              <item name="demo_k_chint" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="demo_k" type="b2602c69:ProjectViewProjectNode" />
              <item name="demo_k_chint" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="demo_k" type="b2602c69:ProjectViewProjectNode" />
              <item name="demo_k_chint" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="web" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="demo_k" type="b2602c69:ProjectViewProjectNode" />
              <item name="demo_k_chint" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="web" type="462c0819:PsiDirectoryNode" />
              <item name="controller" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="demo_k" type="b2602c69:ProjectViewProjectNode" />
              <item name="demo_k_chint" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="web" type="462c0819:PsiDirectoryNode" />
              <item name="util" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="demo_k" type="b2602c69:ProjectViewProjectNode" />
              <item name="demo_k_chint" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="Downloaded.Files.Path.Enabled" value="false" />
    <property name="GenerateAntBuildDialog.backupFiles" value="true" />
    <property name="GenerateAntBuildDialog.enableUiFormCompile" value="true" />
    <property name="GenerateAntBuildDialog.forceTargetJdk" value="true" />
    <property name="GenerateAntBuildDialog.outputFileNameProperty" value="demo_k" />
    <property name="Repository.Attach.Annotations" value="false" />
    <property name="Repository.Attach.JavaDocs" value="false" />
    <property name="Repository.Attach.Sources" value="false" />
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/soalib/xmlrpc-common-3.1.3.jar" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="project.structure.last.edited" value="库" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.26140758" />
    <property name="settings.editor.selected.configurable" value="preferences.pluginManager" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\正泰\正泰整理\demo_k\demo_k\soalib" />
      <recent name="D:\正泰\正泰整理\demo_k\demo_k\src\main\java\com\connor\web\bean" />
      <recent name="D:\正泰\正泰整理\demo_k\demo_k\src\main\java\com\connor\web\service" />
      <recent name="D:\正泰\正泰整理\demo_k\demo_k\src\main\java\com\connor\web\controller" />
      <recent name="D:\正泰\正泰整理\demo_k\demo_k\src\main\java\com\connor\web\mapper" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com" />
    </key>
  </component>
  <component name="RunManager" selected="Spring Boot.DemoKApplication">
    <configuration name="DemoKApplicationTests" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="demo_k" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.connor.web.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.connor.web" />
      <option name="MAIN_CLASS_NAME" value="com.connor.web.DemoKApplicationTests" />
      <option name="TEST_OBJECT" value="class" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="DemoKApplication (1)" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="demo_k_chint" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.DemoKApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="DemoKApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="demo_k" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.DemoKApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="TomeeConfiguration" factoryName="Local" ALTERNATIVE_JRE_ENABLED="false">
      <deployment />
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="_demo_k_2" />
      </server-settings>
      <predefined_log_file enabled="true" id="Tomcat" />
      <predefined_log_file enabled="true" id="Tomcat Catalina" />
      <predefined_log_file id="Tomcat Manager" />
      <predefined_log_file id="Tomcat Host Manager" />
      <predefined_log_file id="Tomcat Localhost Access" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="37583" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="TomeeConfiguration" factoryName="Remote" ALTERNATIVE_JRE_ENABLED="false">
      <option name="LOCAL" value="false" />
      <deployment />
      <server-settings>
        <data>
          <option name="targets">
            <list>
              <WatchedTargetModelImpl>
                <option name="name" value="CONTEXT_XML" />
                <name>CONTEXT_XML</name>
              </WatchedTargetModelImpl>
              <StagingTargetModelImpl>
                <option name="name" value="STAGING" />
                <name>STAGING</name>
              </StagingTargetModelImpl>
            </list>
          </option>
          <option name="transportHostId" />
        </data>
      </server-settings>
      <predefined_log_file enabled="true" id="Tomcat" />
      <predefined_log_file enabled="true" id="TOMCAT_LOCALHOST_LOG_ID" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="37584" />
        <option name="LOCAL" value="false" />
      </RunnerSettings>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Local" ALTERNATIVE_JRE_ENABLED="false">
      <deployment />
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="_demo_k" />
      </server-settings>
      <predefined_log_file enabled="true" id="Tomcat" />
      <predefined_log_file enabled="true" id="Tomcat Catalina" />
      <predefined_log_file id="Tomcat Manager" />
      <predefined_log_file id="Tomcat Host Manager" />
      <predefined_log_file id="Tomcat Localhost Access" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="37576" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Remote" ALTERNATIVE_JRE_ENABLED="false">
      <option name="LOCAL" value="false" />
      <deployment />
      <server-settings>
        <data>
          <option name="targets">
            <list>
              <WatchedTargetModelImpl>
                <option name="name" value="CONTEXT_XML" />
                <name>CONTEXT_XML</name>
              </WatchedTargetModelImpl>
              <StagingTargetModelImpl>
                <option name="name" value="STAGING" />
                <name>STAGING</name>
              </StagingTargetModelImpl>
            </list>
          </option>
          <option name="transportHostId" />
        </data>
      </server-settings>
      <predefined_log_file enabled="true" id="Tomcat" />
      <predefined_log_file enabled="true" id="TOMCAT_LOCALHOST_LOG_ID" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="37579" />
        <option name="LOCAL" value="false" />
      </RunnerSettings>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.DemoKApplicationTests" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="SpringBeansView">
    <option name="showFilesets" value="false" />
    <option name="showDoc" value="false" />
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="abf231c1-c91a-4173-8867-937a0f9fcd32" name="Default Changelist" comment="" />
      <created>1572958780798</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1572958780798</updated>
      <workItem from="1572958790668" duration="50792000" />
      <workItem from="1573557346587" duration="10965000" />
      <workItem from="1573777889309" duration="4000" />
      <workItem from="1574231741932" duration="18265000" />
      <workItem from="1574323378087" duration="3270000" />
      <workItem from="1574752083074" duration="1629000" />
      <workItem from="1574832757670" duration="5138000" />
      <workItem from="1575341715398" duration="2471000" />
      <workItem from="1575529085856" duration="13302000" />
      <workItem from="1575852860511" duration="22134000" />
      <workItem from="1576150285405" duration="13996000" />
      <workItem from="1576635767310" duration="22959000" />
      <workItem from="1577173930156" duration="14623000" />
      <workItem from="1577328209607" duration="2316000" />
      <workItem from="1577423247087" duration="7978000" />
      <workItem from="1577943009884" duration="4156000" />
      <workItem from="1578040016015" duration="128000" />
      <workItem from="1578358536175" duration="18000" />
      <workItem from="1578385704637" duration="1372000" />
      <workItem from="1578804575080" duration="6611000" />
      <workItem from="1582077815236" duration="1049000" />
      <workItem from="1585661199572" duration="807000" />
      <workItem from="1586841362158" duration="10373000" />
      <workItem from="1586943983049" duration="84590000" />
      <workItem from="1590978121262" duration="20856000" />
      <workItem from="1591680447062" duration="9995000" />
      <workItem from="1591846357978" duration="71482000" />
      <workItem from="1602579867798" duration="21077000" />
      <workItem from="1604969753790" duration="7140000" />
      <workItem from="1611126890905" duration="3173000" />
      <workItem from="1615793516240" duration="1906000" />
      <workItem from="1650338188560" duration="14433000" />
      <workItem from="1650356698205" duration="586000" />
      <workItem from="1650357365727" duration="14861000" />
      <workItem from="1650765166887" duration="6725000" />
      <workItem from="1650851404279" duration="631000" />
      <workItem from="1651026206210" duration="679000" />
      <workItem from="1651111415164" duration="609000" />
      <workItem from="1651218072615" duration="1573000" />
      <workItem from="1667554774601" duration="1248000" />
      <workItem from="1670466951423" duration="1877000" />
      <workItem from="1675826481020" duration="1324000" />
      <workItem from="1676013136809" duration="6507000" />
      <workItem from="1676254473636" duration="3021000" />
      <workItem from="1676265545518" duration="5092000" />
      <workItem from="1677057484871" duration="1976000" />
      <workItem from="1677061800089" duration="2116000" />
      <workItem from="1678080045851" duration="1423000" />
      <workItem from="1678417144427" duration="1395000" />
      <workItem from="1678856849103" duration="930000" />
      <workItem from="1678949841517" duration="186000" />
      <workItem from="1679042372770" duration="982000" />
      <workItem from="1683190769996" duration="681000" />
      <workItem from="1683512001521" duration="2892000" />
      <workItem from="1683711043022" duration="3574000" />
      <workItem from="1686637995898" duration="1067000" />
      <workItem from="1687749103110" duration="7375000" />
      <workItem from="1687835709284" duration="615000" />
      <workItem from="1688017841103" duration="1202000" />
      <workItem from="1688041766263" duration="432000" />
      <workItem from="1688042245087" duration="339000" />
      <workItem from="1688042626342" duration="1626000" />
      <workItem from="1688106639769" duration="1037000" />
      <workItem from="1688440977789" duration="1471000" />
      <workItem from="1688451645164" duration="617000" />
      <workItem from="1688525917267" duration="1005000" />
      <workItem from="1688545083398" duration="1595000" />
      <workItem from="1688608047882" duration="2124000" />
      <workItem from="1689665116444" duration="1984000" />
      <workItem from="1689736382058" duration="2467000" />
      <workItem from="1689819711397" duration="12015000" />
      <workItem from="1692756367036" duration="1805000" />
      <workItem from="1693188388425" duration="1994000" />
      <workItem from="1693386725092" duration="1197000" />
      <workItem from="1693665267512" duration="1342000" />
      <workItem from="1694398264347" duration="7317000" />
      <workItem from="1694505452625" duration="1229000" />
      <workItem from="1695260485008" duration="16964000" />
      <workItem from="1695298368926" duration="5684000" />
      <workItem from="1695544135049" duration="2331000" />
      <workItem from="1695718764664" duration="601000" />
      <workItem from="1696729701242" duration="653000" />
      <workItem from="1696917431757" duration="2728000" />
      <workItem from="1697681407510" duration="649000" />
      <workItem from="1697703858942" duration="652000" />
      <workItem from="1697780369001" duration="720000" />
      <workItem from="1698067375615" duration="1003000" />
      <workItem from="1698116545309" duration="1715000" />
      <workItem from="1698487254203" duration="3608000" />
      <workItem from="1698733815251" duration="794000" />
      <workItem from="1699496278937" duration="645000" />
      <workItem from="1699931597284" duration="2697000" />
      <workItem from="1700025872777" duration="1368000" />
      <workItem from="1700099940406" duration="654000" />
      <workItem from="1701138691139" duration="9330000" />
      <workItem from="1701224139884" duration="10281000" />
      <workItem from="1701312463605" duration="6936000" />
      <workItem from="1701402243984" duration="7553000" />
      <workItem from="1701655271497" duration="8751000" />
      <workItem from="1701741209054" duration="3815000" />
      <workItem from="1701932534327" duration="3131000" />
      <workItem from="1702260815452" duration="1274000" />
      <workItem from="1702371642375" duration="1108000" />
      <workItem from="1702627521428" duration="1299000" />
      <workItem from="1702965119578" duration="3911000" />
      <workItem from="1703051900485" duration="4185000" />
      <workItem from="1703145591518" duration="786000" />
      <workItem from="1703230498039" duration="656000" />
      <workItem from="1703231452661" duration="482000" />
      <workItem from="1703231978789" duration="65000" />
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="DemoKApplicationTests - 2020.01.12 at 17h 02m 05s.xml">
      <configuration name="DemoKApplicationTests" configurationId="JUnit" />
    </history-entry>
    <history-entry file="DemoKApplicationTests - 2020.11.10 at 09h 40m 21s.xml">
      <configuration name="DemoKApplicationTests" configurationId="JUnit" />
    </history-entry>
    <history-entry file="DemoKApplicationTests - 2020.11.10 at 09h 42m 01s.xml">
      <configuration name="DemoKApplicationTests" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="434575000" />
  </component>
  <component name="TodoView" selected-index="3">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1382" height="750" extended-state="7" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" sideWeight="0.49837664" visible="true" weight="0.2753404" />
      <window_info id="Structure" order="1" sideWeight="0.5016234" side_tool="true" weight="0.24432677" />
      <window_info id="Designer" order="2" />
      <window_info id="Image Layers" order="3" />
      <window_info id="Capture Tool" order="4" />
      <window_info id="UI Designer" order="5" />
      <window_info id="Favorites" order="6" sideWeight="0.5016234" side_tool="true" weight="0.24432677" />
      <window_info id="Web" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32954547" />
      <window_info anchor="bottom" id="Run" order="2" sideWeight="0.49924356" weight="0.37987012" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" sideWeight="0.49848714" weight="0.32954547" />
      <window_info anchor="bottom" id="Spring" order="7" sideWeight="0.4977307" weight="0.32741934" />
      <window_info anchor="bottom" id="Terminal" order="8" sideWeight="0.49621785" weight="0.32792208" />
      <window_info anchor="bottom" id="Docker" order="9" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="10" sideWeight="0.50226927" side_tool="true" weight="0.32142857" />
      <window_info anchor="bottom" id="Messages" order="11" sideWeight="0.4977307" weight="0.3198052" />
      <window_info anchor="bottom" id="Java Enterprise" order="12" sideWeight="0.4969743" weight="0.32954547" />
      <window_info anchor="bottom" id="Database Changes" order="13" />
      <window_info anchor="bottom" id="Version Control" order="14" sideWeight="0.49848714" weight="0.32954547" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Maven" order="1" weight="0.3290469" />
      <window_info anchor="right" id="Ant Build" order="2" weight="0.24886535" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="3" weight="0.25" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="right" id="Database" order="6" weight="0.3290469" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
      <window_info anchor="right" id="Bean Validation" order="9" weight="0.3290469" />
    </layout>
    <layout-to-restore>
      <window_info active="true" content_ui="combo" id="Project" order="0" sideWeight="0.49837664" visible="true" weight="0.2677761" />
      <window_info id="Structure" order="1" sideWeight="0.5016234" side_tool="true" weight="0.24432677" />
      <window_info id="Designer" order="2" />
      <window_info id="Image Layers" order="3" />
      <window_info id="Capture Tool" order="4" />
      <window_info id="UI Designer" order="5" />
      <window_info id="Favorites" order="6" sideWeight="0.5016234" side_tool="true" weight="0.24432677" />
      <window_info id="Web" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32954547" />
      <window_info anchor="bottom" id="Run" order="2" sideWeight="0.49924356" weight="0.38064516" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" sideWeight="0.49848714" weight="0.32954547" />
      <window_info anchor="bottom" id="Spring" order="7" sideWeight="0.4977307" weight="0.32741934" />
      <window_info anchor="bottom" id="Terminal" order="8" sideWeight="0.49621785" weight="0.32792208" />
      <window_info anchor="bottom" id="Docker" order="9" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="10" sideWeight="0.50226927" side_tool="true" weight="0.32142857" />
      <window_info anchor="bottom" id="Messages" order="11" sideWeight="0.4977307" weight="0.32096773" />
      <window_info anchor="bottom" id="Java Enterprise" order="12" sideWeight="0.4969743" weight="0.32954547" />
      <window_info anchor="bottom" id="Database Changes" order="13" />
      <window_info anchor="bottom" id="Version Control" order="14" sideWeight="0.49848714" weight="0.32954547" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Maven" order="1" weight="0.3290469" />
      <window_info anchor="right" id="Ant Build" order="2" weight="0.24886535" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="3" weight="0.25" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="right" id="Database" order="6" weight="0.3290469" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
      <window_info anchor="right" id="Bean Validation" order="9" weight="0.3290469" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
    <option name="RECENT_FILTERS">
      <map>
        <entry key="Branch">
          <value>
            <list />
          </value>
        </entry>
        <entry key="User">
          <value>
            <list />
          </value>
        </entry>
      </map>
    </option>
    <option name="oldMeFiltersMigrated" value="true" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$PROJECT_DIR$/soalib/TcSoaClient_11000.2.0.jar!/com/teamcenter/soa/internal/client/model/ModelObjectImpl.class</url>
          <line>106</line>
          <option name="timeStamp" value="1" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="antWorkspaceConfiguration">
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="FILTER_TARGETS" value="false" />
  </component>
  <component name="editorHistoryManager">
    <entry file="jar://$PROJECT_DIR$/soalib/TcSoaStrongModel_11000.2.0.jar!/com/teamcenter/soa/client/model/strong/Schedule.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="13" column="13" selection-start-line="13" selection-start-column="13" selection-end-line="13" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/soalib/TcSoaClient_11000.2.0.jar!/com/teamcenter/soa/client/CredentialManager.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="13" column="8" selection-start-line="13" selection-start-column="8" selection-end-line="13" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/teamcenter/clientx/AppXCredentialManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="330">
          <caret line="42" column="40" lean-forward="true" selection-start-line="42" selection-start-column="33" selection-end-line="42" selection-end-column="59" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/soalib/TcSoaCoreStrong_11000.2.0.jar!/com/teamcenter/services/strong/core/SessionService.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="165">
          <caret line="15" column="52" selection-start-line="15" selection-start-column="48" selection-end-line="15" selection-end-column="52" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/soalib/TcSoaCoreStrong_11000.2.0.jar!/com/teamcenter/services/strong/core/_2006_03/Session.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-316">
          <caret line="31" column="26" selection-start-line="31" selection-start-column="26" selection-end-line="31" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/../../../../../../../Java/jdk1.8.0_191/src.zip!/java/util/List.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="196">
          <caret line="306" column="12" selection-start-line="306" selection-start-column="12" selection-end-line="306" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/soalib/TcSoaStrongModel_11000.2.0.jar!/com/teamcenter/soa/client/model/strong/WorkspaceObject.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1170">
          <caret line="87" column="63" selection-start-line="87" selection-start-column="44" selection-end-line="87" selection-end-column="63" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/connor/web/mapper/pojo/ScheduleTaskInfo.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="390">
          <caret line="39" column="21" selection-start-line="38" selection-start-column="31" selection-end-line="40" selection-end-column="5" />
          <folding>
            <element signature="e#770#771#0" expanded="true" />
            <element signature="e#803#804#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/soalib/TcSoaStrongModel_11000.2.0.jar!/com/teamcenter/soa/client/model/strong/Item.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="165">
          <caret line="69" column="52" selection-start-line="69" selection-start-column="39" selection-end-line="69" selection-end-column="52" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/TC_Rest_Service.iml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1542" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.idea/workspace.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1035" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.idea/vcs.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="165">
          <caret line="11" column="66" lean-forward="true" selection-start-line="11" selection-start-column="66" selection-end-line="11" selection-end-column="66" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/soalib/TcSoaClient_11000.2.0.jar!/com/teamcenter/soa/internal/client/model/ModelObjectImpl.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="196">
          <caret line="104" column="18" selection-start-line="104" selection-start-column="18" selection-end-line="104" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/connor/web/controller/new2.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/connor/web/KPostProcessor.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="630">
          <caret line="56" selection-start-line="56" selection-end-line="56" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/soalib/TcSoaCoreStrong_11000.2.0.jar!/com/teamcenter/services/strong/core/_2006_03/DataManagement.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="450">
          <caret line="44" lean-forward="true" selection-start-line="44" selection-end-line="44" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/soalib/TcSoaClient_11000.2.0.jar!/com/teamcenter/soa/client/model/ServiceData.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="7" column="17" selection-start-line="7" selection-start-column="17" selection-end-line="7" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/soalib/TcSoaCoreStrong_11000.2.0.jar!/com/teamcenter/services/strong/core/DataManagementService.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="10" column="22" selection-start-line="10" selection-start-column="22" selection-end-line="10" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/connor/web/bean/PartDocBean.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="240">
          <caret line="25" column="22" selection-start-line="25" selection-start-column="22" selection-end-line="25" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/connor/web/bean/getproject/ProjectInfoBean.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="8" column="13" selection-start-line="8" selection-start-column="13" selection-end-line="8" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/connor/web/bean/getproject/Product.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="630">
          <caret line="62" column="50" selection-start-line="62" selection-start-column="50" selection-end-line="62" selection-end-column="50" />
          <folding>
            <element signature="e#392#393#0" expanded="true" />
            <element signature="e#423#424#0" expanded="true" />
            <element signature="e#471#472#0" expanded="true" />
            <element signature="e#511#512#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/connor/web/bean/getproject/Project.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-30">
          <caret line="6" column="13" selection-start-line="6" selection-start-column="13" selection-end-line="6" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/connor/web/bean/MaterialBean.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1548">
          <caret line="10" column="13" selection-start-line="10" selection-start-column="13" selection-end-line="10" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#919#920#0" expanded="true" />
            <element signature="e#952#953#0" expanded="true" />
            <element signature="e#1004#1005#0" expanded="true" />
            <element signature="e#1048#1049#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/connor/web/bean/getproject/DB_PRODUCT.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="12" column="11" selection-start-line="12" selection-start-column="11" selection-end-line="12" selection-end-column="11" />
          <folding>
            <element signature="e#976#977#0" expanded="true" />
            <element signature="e#1007#1008#0" expanded="true" />
            <element signature="e#1055#1056#0" expanded="true" />
            <element signature="e#1095#1096#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/soalib/TcSoaStrongModel_11000.2.0.jar!/com/teamcenter/soa/client/model/strong/Part_Revision.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="20" column="25" selection-start-line="20" selection-start-column="25" selection-end-line="20" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/soalib/TcSoaClient_11000.2.0.jar!/com/teamcenter/soa/client/model/Property.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="196">
          <caret line="229" column="34" selection-start-line="229" selection-start-column="34" selection-end-line="229" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/soalib/TcSoaStrongModel_11000.2.0.jar!/com/teamcenter/soa/client/model/strong/ItemRevision.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="194">
          <caret line="146" column="68" selection-start-line="146" selection-start-column="68" selection-end-line="146" selection-end-column="68" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/../../../../../../../Java/jdk1.8.0_191/src.zip!/java/util/Map.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="188">
          <caret line="359" column="25" selection-start-line="359" selection-start-column="25" selection-end-line="359" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/log4j.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="17" lean-forward="true" selection-start-line="17" selection-end-line="17" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/soalib/TcSoaCoreStrong_11000.2.0.jar!/com/teamcenter/services/internal/strong/core/StructureManagementRestBindingStub.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="35" column="55" selection-start-line="35" selection-start-column="55" selection-end-line="35" selection-end-column="55" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/soalib/TcSoaCoreStrong_11000.2.0.jar!/com/teamcenter/services/internal/strong/core/StructureManagementService.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="16" column="35" selection-start-line="16" selection-start-column="35" selection-end-line="16" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/soalib/TcSoaCoreLoose_11000.2.0.jar!/com/teamcenter/services/internal/loose/core/StructureManagementRestBindingStub.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="32" column="55" selection-start-line="32" selection-start-column="55" selection-end-line="32" selection-end-column="55" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/soalib/TcSoaCoreStrong_11000.2.0.jar!/com/teamcenter/services/strong/core/StructureManagementRestBindingStub.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="15">
          <caret line="40" column="11" selection-start-line="40" selection-start-column="11" selection-end-line="40" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/soalib/TcSoaCoreStrong_11000.2.0.jar!/com/teamcenter/services/strong/core/_2008_06/StructureManagement.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="11" column="17" selection-start-line="11" selection-start-column="17" selection-end-line="11" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/soalib/TcSoaCoreStrong_11000.2.0.jar!/com/teamcenter/services/strong/core/StructureManagementService.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="10" column="64" lean-forward="true" selection-start-line="10" selection-start-column="64" selection-end-line="10" selection-end-column="64" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/soalib/TcSoaClient_11000.2.0.jar!/com/teamcenter/soa/client/model/ModelObject.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="294">
          <caret line="24" column="9" selection-start-line="24" selection-start-column="9" selection-end-line="24" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/connor/web/bean/FileInfoBean.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="6" column="4" selection-start-line="6" selection-start-column="4" selection-end-line="28" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/connor/web/util/TCUtil.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="67">
          <caret line="1102" column="19" lean-forward="true" selection-start-line="1102" selection-start-column="19" selection-end-line="1102" selection-end-column="19" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/connor/web/util/JsonDateSerializer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="13" column="13" selection-start-line="13" selection-start-column="13" selection-end-line="13" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/connor/web/bean/TaskInfoBean.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="330">
          <caret line="23" column="38" lean-forward="true" selection-start-line="23" selection-start-column="38" selection-end-line="23" selection-end-column="38" />
          <folding>
            <element signature="e#748#749#0" expanded="true" />
            <element signature="e#775#776#0" expanded="true" />
            <element signature="e#1352#1353#0" expanded="true" />
            <element signature="e#1379#1380#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/connor/web/controller/MyRestController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="1763" column="27" selection-start-line="1763" selection-start-column="27" selection-end-line="1763" selection-end-column="27" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/connor/web/bean/getproject/DB_PROJECT.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1305">
          <caret line="120" column="18" selection-start-line="120" selection-start-column="18" selection-end-line="120" selection-end-column="18" />
          <folding>
            <element signature="e#3418#3419#0" expanded="true" />
            <element signature="e#3446#3447#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/connor/web/mapper/IDataMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3030">
          <caret line="211" column="8" selection-start-line="211" selection-start-column="8" selection-end-line="211" selection-end-column="8" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/connor/web/KExceptionHandler.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="300">
          <caret line="29" column="49" selection-start-line="29" selection-start-column="49" selection-end-line="29" selection-end-column="49" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/connor/web/util/RequestWrapperFilter.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="12" column="10" selection-start-line="12" selection-start-column="10" selection-end-line="12" selection-end-column="10" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/connor/web/util/MyRequestWrapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="45">
          <caret line="7" selection-start-line="7" selection-end-line="7" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/DemoKApplication.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="12" column="13" selection-start-line="12" selection-start-column="13" selection-end-line="12" selection-end-column="13" />
          <folding>
            <element signature="e#785#786#0" expanded="true" />
            <element signature="e#852#853#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/connor/web/bean/ScheduleInfoBean.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="11" column="3" selection-start-line="11" selection-start-column="3" selection-end-line="11" selection-end-column="3" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/teamcenter/clientx/Session.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="360">
          <caret line="178" column="29" selection-start-line="178" selection-start-column="27" selection-end-line="178" selection-end-column="30" />
          <folding>
            <element signature="e#3909#3910#0" expanded="true" />
            <element signature="e#3942#3943#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/application.yml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="193">
          <caret line="18" column="8" lean-forward="true" selection-start-line="18" selection-start-column="8" selection-end-line="18" selection-end-column="8" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <last-edited>demo_k:jar</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.50689656" />
                <option value="0.5" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>Spring</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.50689656" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.50689656" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.7</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.50689656" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.7</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>Maven: com.fasterxml.jackson.core:jackson-annotations:2.9.0</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.50689656" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>